Loading...
Searching...
No Matches
fastjet::SISConeBasePlugin::UserScaleBase::StructureType Class Referenceabstract

the structure that allows to store the information contained into a siscone::Cjet (built internally in SISCone from a stable cone) into a PseudoJet More...

`#include <fastjet/SISConeBasePlugin.hh>`

Inheritance diagram for fastjet::SISConeBasePlugin::UserScaleBase::StructureType:
[legend]
Collaboration diagram for fastjet::SISConeBasePlugin::UserScaleBase::StructureType:
[legend]

## Public Member Functions

| StructureType (const ClusterSequence &cs)
| base ctor (constructed from a ClusterSequence tin order to have access to the initial particles
virtual | ~StructureType ()
| empty virtual dtor
virtual std::string | description () const
| the textual descripotion
virtual bool | has_constituents () const
| this structure has constituents
virtual std::vector< PseudoJet > | constituents (const PseudoJet &) const
| retrieve the constituents
virtual unsigned int | size () const =0
| returns the number of constituents
virtual int | constituent_index (unsigned int i) const =0
| returns the index (in the original particle list) of the ith constituent
const PseudoJet & | constituent (unsigned int i) const
| returns the ith constituent (as a PseusoJet)
virtual double | ordering_var2 () const =0
| returns the sm_var2 (signed ordering variable squared) for this stable cone
Public Member Functions inherited from fastjet::PseudoJetStructureBase
| PseudoJetStructureBase ()
| default ctor
virtual | ~PseudoJetStructureBase ()
| default (virtual) dtor
virtual bool | has_associated_cluster_sequence () const
| returns true if there is an associated ClusterSequence
virtual const ClusterSequence * | associated_cluster_sequence () const
| get a (const) pointer to the parent ClusterSequence (NULL if inexistent)
virtual bool | has_valid_cluster_sequence () const
| returns true if this PseudoJet has an associated and still valid ClusterSequence.
virtual const ClusterSequence * | validated_cs () const
| if the jet has a valid associated cluster sequence then return a pointer to it; otherwise throw an error
virtual const ClusterSequenceAreaBase * | validated_csab () const
| if the jet has valid area information then return a pointer to the associated ClusterSequenceAreaBase object; otherwise throw an error
virtual bool | has_partner (const PseudoJet &reference, PseudoJet &partner) const
| check if it has been recombined with another PseudoJet in which case, return its partner through the argument.
virtual bool | has_child (const PseudoJet &reference, PseudoJet &child) const
| check if it has been recombined with another PseudoJet in which case, return its child through the argument.
virtual bool | has_parents (const PseudoJet &reference, PseudoJet &parent1, PseudoJet &parent2) const
| check if it is the product of a recombination, in which case return the 2 parents through the 'parent1' and 'parent2' arguments.
virtual bool | object_in_jet (const PseudoJet &reference, const PseudoJet &jet) const
| check if the reference PseudoJet is contained the second one passed as argument.
virtual bool | has_exclusive_subjets () const
| return true if the structure supports exclusive_subjets.
virtual std::vector< PseudoJet > | exclusive_subjets (const PseudoJet &reference, const double &dcut) const
| return a vector of all subjets of the current jet (in the sense of the exclusive algorithm) that would be obtained when running the algorithm with the given dcut.
virtual int | n_exclusive_subjets (const PseudoJet &reference, const double &dcut) const
| return the size of exclusive_subjets(...); still n ln n with same coefficient, but marginally more efficient than manually taking exclusive_subjets.size()
virtual std::vector< PseudoJet > | exclusive_subjets_up_to (const PseudoJet &reference, int nsub) const
| return the list of subjets obtained by unclustering the supplied jet down to nsub subjets (or all constituents if there are fewer than nsub).
virtual double | exclusive_subdmerge (const PseudoJet &reference, int nsub) const
| return the dij that was present in the merging nsub+1 -> nsub subjets inside this jet.
virtual double | exclusive_subdmerge_max (const PseudoJet &reference, int nsub) const
| return the maximum dij that occurred in the whole event at the stage that the nsub+1 -> nsub merge of subjets occurred inside this jet.
virtual bool | has_pieces (const PseudoJet &) const
| return true if the structure supports pieces.
virtual std::vector< PseudoJet > | pieces (const PseudoJet &) const
| retrieve the pieces building the jet.
virtual bool | has_area () const
| check if it has a defined area
virtual double | area (const PseudoJet &reference) const
| return the jet (scalar) area.
virtual double | area_error (const PseudoJet &reference) const
| return the error (uncertainty) associated with the determination of the area of this jet.
virtual PseudoJet | area_4vector (const PseudoJet &reference) const
| return the jet 4-vector area.
virtual bool | is_pure_ghost (const PseudoJet &reference) const
| true if this jet is made exclusively of ghosts.

## Protected Attributes

const ClusterSequence & | _cs
| a reference to the CS (for access to the particles)

## Detailed Description

the structure that allows to store the information contained into a siscone::Cjet (built internally in SISCone from a stable cone) into a PseudoJet

Definition at line 279 of file SISConeBasePlugin.hh.

## Constructor & Destructor Documentation

## StructureType()

fastjet::SISConeBasePlugin::UserScaleBase::StructureType::StructureType | ( | const ClusterSequence & | cs | ) |

inline

base ctor (constructed from a ClusterSequence tin order to have access to the initial particles

Definition at line 283 of file SISConeBasePlugin.hh.

## ~StructureType()

virtual fastjet::SISConeBasePlugin::UserScaleBase::StructureType::~StructureType | ( |  | ) |

inline virtual

empty virtual dtor

Definition at line 287 of file SISConeBasePlugin.hh.

## Member Function Documentation

## description()

virtual std::string fastjet::SISConeBasePlugin::UserScaleBase::StructureType::description | ( |  | ) | const

inline virtual

the textual descripotion

Reimplemented from fastjet::PseudoJetStructureBase.

Definition at line 292 of file SISConeBasePlugin.hh.

## has_constituents()

virtual bool fastjet::SISConeBasePlugin::UserScaleBase::StructureType::has_constituents | ( |  | ) | const

inline virtual

this structure has constituents

Reimplemented from fastjet::PseudoJetStructureBase.

Definition at line 297 of file SISConeBasePlugin.hh.

## constituents()

virtual std::vector< PseudoJet > fastjet::SISConeBasePlugin::UserScaleBase::StructureType::constituents | ( | const PseudoJet & |  | ) | const

inline virtual

retrieve the constituents

if you simply need to iterate over the constituents, it will be faster to access them via constituent(i)

Reimplemented from fastjet::PseudoJetStructureBase.

Definition at line 303 of file SISConeBasePlugin.hh.

## size()

virtual unsigned int fastjet::SISConeBasePlugin::UserScaleBase::StructureType::size | ( |  | ) | const

pure virtual

returns the number of constituents

Implemented in fastjet::SISConeBasePlugin::UserScaleBaseStructureType< Tjet >.

## constituent_index()

virtual int fastjet::SISConeBasePlugin::UserScaleBase::StructureType::constituent_index | ( | unsigned int | i | ) | const

pure virtual

returns the index (in the original particle list) of the ith constituent

Implemented in fastjet::SISConeBasePlugin::UserScaleBaseStructureType< Tjet >.

## constituent()

const PseudoJet & fastjet::SISConeBasePlugin::UserScaleBase::StructureType::constituent | ( | unsigned int | i | ) | const

inline

returns the ith constituent (as a PseusoJet)

Definition at line 322 of file SISConeBasePlugin.hh.

## ordering_var2()

virtual double fastjet::SISConeBasePlugin::UserScaleBase::StructureType::ordering_var2 | ( |  | ) | const

pure virtual

returns the sm_var2 (signed ordering variable squared) for this stable cone

Implemented in fastjet::SISConeBasePlugin::UserScaleBaseStructureType< Tjet >.

## Member Data Documentation

## _cs

const ClusterSequence& fastjet::SISConeBasePlugin::UserScaleBase::StructureType::_cs

protected

a reference to the CS (for access to the particles)

Definition at line 333 of file SISConeBasePlugin.hh.

The documentation for this class was generated from the following file:

- plugins/SISCone/fastjet/SISConeBasePlugin.hh